Skip to main content
POST
Create Pick List

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes1
picklists.write
Grants permission to create and modify pick lists.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

warehouseId
string<uuid>
required

The id of the wms warehouse where the pick list should be created.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The relevant information to create a picking list.

Model Class: CreatePickList

pickListTemplateId
string<uuid>
required

Id of the pick list template that created the pick list.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the created pick list.

Model Class: PickList

id
string<uuid>
required

Internal unique id of the pick list. This is not the same as the pick list number.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

warehouseId
string<uuid>
required

Id of the Warehouse.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

picklistNumber
string
required

Number of the pick list. This can be resetted in JTL-Wawi, but is always used for printing and showing the pick list in the UI.

pickListTemplateId
string<uuid>
required

Id of the pick list template that created the pick list.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

pickListTemplateName
string
required

Name of the pick list template that created the pick list.

status
enum<integer>
required

Status of the pick list.

Available options:
10,
11,
20,
30,
40
createdAt
string<date-time>
required

Time when the pick list was created.